For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
DocsAPI Reference
    • End Points
  • PARTNER
    • GETGet Orders
    • GETGet Order By ID
    • GETGet Webhooks
    • POSTRefresh Access Token
    • POSTCreate Widget URL
  • COUNTRIES
    • GETGet Countries
  • CURRENCIES
    • GETGet Crypto Currencies
    • GETGet Fiat Currencies
    • GETGet Price
    • GETVerify Wallet Address
  • TRANSAK WHITELABEL API
    • End Points
  • TRANSAK STREAM ON-RAMP API
    • End Points
    • POSTCreate VBA
    • GETGet VBA List
    • GETGet VBA by ID
    • PUTUpdate VBA
    • DELDelete VBA
    • POSTAdd Remitter Account
    • PATCHUpdate Remitter Account
Dashboard
LogoLogo
TRANSAK STREAM ON-RAMP API

Get VBA List

||View as Markdown|
GET
https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list
GET
/api/v2/onramp-stream/vba/list
$curl https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/list \
> -H "x-api-key: x-api-key"
1{
2 "data": {
3 "items": [
4 {
5 "id": "698475e474c810f090ee01fd",
6 "status": "ACTIVE",
7 "source": {
8 "fiatCurrency": "USD",
9 "bankAccount": {
10 "type": "account_number",
11 "value": "359309664407"
12 },
13 "bankLocalCode": {
14 "type": "routing_number",
15 "value": "021000021"
16 }
17 },
18 "destination": {
19 "cryptoCurrency": "ETH",
20 "walletAddress": "0xC8CD2BE653759aed7B0996315821AAe71e1FEAdF",
21 "network": "ethereum",
22 "memoTag": "test"
23 }
24 },
25 {
26 "id": "698475e474c810f090ee01fe",
27 "status": "ACTIVE",
28 "source": {
29 "fiatCurrency": "EUR",
30 "bankAccount": {
31 "type": "iban",
32 "value": "GB58SEOU19870010411513"
33 },
34 "bankLocalCode": {
35 "type": "bic",
36 "value": "CFTEMTM1"
37 }
38 },
39 "destination": {
40 "cryptoCurrency": "ETH",
41 "walletAddress": "0x91CD2BE653759aed7B0996315821AAe71e1FEA11",
42 "network": "ethereum",
43 "memoTag": "eur-transfer"
44 }
45 },
46 {
47 "id": "698475e474c810f090ee01ff",
48 "status": "ACTIVE",
49 "source": {
50 "fiatCurrency": "GBP",
51 "bankAccount": {
52 "type": "account_number",
53 "value": "00083038"
54 },
55 "bankLocalCode": {
56 "type": "sort_code",
57 "value": "040509"
58 }
59 },
60 "destination": {
61 "cryptoCurrency": "ETH",
62 "walletAddress": "0x82CD2BE653759aed7B0996315821AAe71e1FEA22",
63 "network": "ethereum",
64 "memoTag": "gbp-transfer"
65 }
66 },
67 {
68 "id": "698ef7ce44433b320eb4a8df",
69 "status": "ACTIVE",
70 "source": {
71 "fiatCurrency": "INR",
72 "remitterAccountDetails": [
73 {
74 "accountNumber": "132132131321",
75 "ifscCode": "KARB00000121",
76 "bankName": "KARNATAKA BANK"
77 }
78 ],
79 "bankAccount": {
80 "type": "account_number",
81 "value": "2500021AA002131223"
82 },
83 "bankLocalCode": {
84 "type": "ifsc_code",
85 "value": "SMCB0000HDE"
86 }
87 },
88 "destination": {
89 "cryptoCurrency": "USDT",
90 "walletAddress": "0x30D616C4a494313eDCFB5Ab13093e36F9d78a03a",
91 "network": "ethereum",
92 "memoTag": "test-memo"
93 }
94 }
95 ],
96 "count": 4
97 }
98}

Fetch the list of Virtual Bank Accounts (VBAs) for Stream On-Ramp.

Was this page helpful?
Previous

Create VBA

Next

Get VBA by ID

Built with

Headers

x-api-keystringRequired
Your Api Key which you can get it from Transak Partner Dashboard for respective environment
authorizationstringOptionalDefaults to YOUR_USER_AUTH_TOKEN

The authorization token is the accessToken returned by the WhiteLabel API - api/v2/auth/verify

Note: This is not applicable for Auth Reliance Flows

x-user-identifierstringOptionalDefaults to USER_EMAIL_ID

Your authenticated user Email Id address.

Note: This is applicable only for Auth Reliance Flows

x-access-tokenstringOptional

Your Partner Access Token. Please refer here for a tutorial on generating your access token.

Note: This is applicable only for Auth Reliance Flows

Response

Success
dataobject

Errors

404
Not Found Error
500
Internal Server Error